WinShopAPI docs
ReferenceItem lists

Products / Environmental taxes

List environmental taxes

GET
/api/item-lists/products/environmental-taxes

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Response Body

application/json
  1. response
[index: integer]?
curl -X GET 'https://<your-instance>/api/item-lists/products/environmental-taxes' \  -H 'Authorization: Bearer <access-token>'
[  {    "guid": "string",    "id": 0,    "label": "string",    "name": "string",    "price": 0  }]
GET
/api/item-lists/products/environmental-taxes/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Response Body

application/json
  1. response
guid?string
Formatguid
id?integer
Formatint32
label?string
Lengthlength <= 30
name?string
Lengthlength <= 80
price?number
Formatdecimal
curl -X GET 'https://<your-instance>/api/item-lists/products/environmental-taxes/0' \  -H 'Authorization: Bearer <access-token>'
{  "guid": "string",  "id": 0,  "label": "string",  "name": "string",  "price": 0}